- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QTransformedScreen Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qscreentransformed_qws.h.

`#include <qscreentransformed_qws.h>`

Inheritance diagram for QTransformedScreen:
[legend]

List of all members.

## Public Types
enum | Transformation { None, Rot90, Rot180, Rot270 }
## Public Member Functions
| QTransformedScreen (int display_id)
| ~QTransformedScreen ()
void | setTransformation (Transformation t)
Transformation | transformation () const
int | transformOrientation () const
QSize | mapToDevice (const QSize &s) const
QSize | mapFromDevice (const QSize &s) const
QPoint | mapToDevice (const QPoint &, const QSize &) const
QPoint | mapFromDevice (const QPoint &, const QSize &) const
QRect | mapToDevice (const QRect &, const QSize &) const
QRect | mapFromDevice (const QRect &, const QSize &) const
QRegion | mapToDevice (const QRegion &, const QSize &) const
QRegion | mapFromDevice (const QRegion &, const QSize &) const
bool | connect (const QString &displaySpec)
bool | isTransformed () const
void | exposeRegion (QRegion region, int changing)
void | blit (const QImage &img, const QPoint &topLeft, const QRegion &region)
void | solidFill (const QColor &color, const QRegion &region)
void | setDirty (const QRect &)
QRegion | region () const
## Friends
class | QTransformedScreenPrivate

## Member Enumeration Documentation

enum Transformation

Search for all occurrences

Enumerator:

  None | Search for all occurrences
  Rot90 | Search for all occurrences
  Rot180 | Search for all occurrences
  Rot270 | Search for all occurrences

Definition at line 63 of file qscreentransformed_qws.h.

    { None, Rot90, Rot180, Rot270 };

## Constructor & Destructor Documentation

QTransformedScreen | ( | int | display_id | ) | `[explicit]`

~QTransformedScreen | ( |  | ) |

## Member Function Documentation

void setTransformation | ( | Transformation | t | ) |

Search for all occurrences

Transformation transformation | ( |  | ) | const

Search for all occurrences

int transformOrientation | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

QSize mapToDevice | ( | const QSize & | s | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

QSize mapFromDevice | ( | const QSize & | s | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

QPoint mapToDevice | ( | const QPoint & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

QPoint mapFromDevice | ( | const QPoint & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

QRect mapToDevice | ( | const QRect & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

QRect mapFromDevice | ( | const QRect & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

QRegion mapToDevice | ( | const QRegion & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

QRegion mapFromDevice | ( | const QRegion & | ,
|  | const QSize & |
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

bool connect | ( | const QString & | displaySpec | ) | `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

bool isTransformed | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

Definition at line 83 of file qscreentransformed_qws.h.

    { return transformation() != None; }

void exposeRegion | ( | QRegion | region,
|  | int | changing
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

void blit | ( | const QImage & | img,
|  | const QPoint & | topLeft,
|  | const QRegion & | region
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

void solidFill | ( | const QColor & | color,
|  | const QRegion & | region
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

void setDirty | ( | const QRect & |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

QRegion region | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QProxyScreen.

## Friends And Related Function Documentation

friend class QTransformedScreenPrivate `[friend]`

Search for all occurrences

Definition at line 93 of file qscreentransformed_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qscreentransformed_qws.h

QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen
QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen QTransformedScreen